Last Comment Bug 369076 - webdav calendar open-xchange - events not deleted
: webdav calendar open-xchange - events not deleted
Status: RESOLVED WONTFIX
: relnote
Product: Calendar
Classification: Client Software
Component: Provider: ICS/WebDAV (show other bugs)
: Sunbird 0.3.1
: x86 Windows XP
: -- major (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 03:59 PST by Janko
Modified: 2007-10-16 15:13 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Janko 2007-02-02 03:59:49 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; sl; rv:1.8.0.9) Gecko/20061206 Firefox/1.5.0.9
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; sl; rv:1.9a1) Gecko/20070201 Sunbird/0.3.1

I've created a remote calendar in sunbird 3.1 - webdav open-xchange. I can read, create, move and change events (althought it takes long to synchronize - up to 1 minute), but ...

... events deleted in sunbird stay in open-xchange (get not deleted)

Reproducible: Always

Steps to Reproduce:
1.create remote calendar - webdav open-xchange
2.create event in sunbird remote calendar
3.delete event in sunbird
Actual Results:  
event gets not deleted in open-xchange

Expected Results:  
deleted event in open-xchange
Comment 1 Ralph Moenchmeyer 2007-03-10 12:15:14 PST
Hi, 
I tried to reproduce this error. I use Sunbird 0.3.1 (Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20070213 Sunbird/0.3.1) on a Win XP SP2 installation (residing in a VMware environment under SUSE 10.2) and on a native Win XP SP2 system. 

I have an OX5 server running (with OX SP1 upgrades installed) on a SLES 9 system. I used freshly created calendar and task folders on the server. 

I can confirm that the deletion of events/appointments from a calendar is not working. Also the deletion of tasks from a task folder is not working. 
(I canot confirm the long synchronization time for creating events and tasks - it takes only one to two seconds in my case)
I will try to get a log from the OX server tomorrow.  
Regards
Ralph 
  
Comment 2 etc 2007-04-05 10:40:55 PDT
I think this bug may be related to bug 371946, I mean the deletion part. It seems that there is the same behavior with lightning, and with ics calendar. I tested and it didnt work. I thought that this may be related to a security issue in the server, but not I dont think so.
Comment 3 Ralph Moenchmeyer 2007-09-10 13:05:36 PDT
I think this problem has an easy solution which is documented in the OX5 maintenance portal. I saw it yesterday by chance: 
You just have to setup the webdav connection for your calendar with an extra GET parameter: 

http://YOUR_OX_SERVER/servlet/webdav.ical?enabledelete=yes

If you want to access a special calendarfolder on the OX system the WEBDAV adress (location) of your iCalendar (ICS) must be written as 

http://YOUR_OX_SERVER/servlet/webdav.ical?calendarfolder=xxxx&enabledelete=yes

Replace xxxx by your foldernumber on the OX server !

Deleting of appointments on an OX server works without any problems as soon as you specify the "enabledelete=yes" GET parameter - with calendarfolders as well as with taskfolder:  

http://YOUR_OX_SERVER/servlet/webdav.ical?calendarfolder=xxxx&taskfolder=yyyy&enabledelete=yes
Comment 4 Bas van den Bosch 2007-09-10 13:20:19 PDT
So this is a feature really, not a defect? If I unbderstand correctly, if you enter the calendar-url with the enabledelete=yes everything works as expected? Can you confirm this is the case so we can close this bug as wontfix? 
Comment 5 cmtalbert 2007-09-10 14:46:36 PDT
Added relnote keyword so we can document Ralph's workaround/fix in comment 3.
Comment 6 Ralph Moenchmeyer 2007-09-10 15:03:30 PDT
Seems to be a rather strange, maybe security related feature. 

I can confirm that deleting appointments and tasks works with the additional Parameter "enabledelete=yes" after the webdav URL (standard syntax for  URL Get parameter with ? or & in case of several parameters; see the examples in comment 3). 

I have tested this with Sunbird Vers. 0.3.1 on 2 different Win XP systems and an OX 5 server with SP3 on a SLES 9 (with latest Updates). The calendar and task folders were private folders freshly created for two different users. Of course, the appropriate user rights for the deletion of entries in a specific task or calendar folders must be set on the OX server.  
(The rights for a specific private folder can be edited via the standard OX web interface. The numbers of the folders, which you may need in the URL (see examples in comment 3) are  visible in the status line of the OX Web interface when you move the mouse cursor over the folders in the folder overview.) 

So no FIX in Sunbird is required in my opinion, but a hint should be added somewhere
- in the HELP texts for Sunbird or 
- in an installation description or 
-  a README. 
 
Comment 7 Stefan Sitter 2007-09-11 00:17:01 PDT
Could you provide a link to the OX support page for this topic that can be referenced to?
Comment 8 Ralph Moenchmeyer 2007-09-11 01:14:19 PDT
I would like to give you an exact address. But as I wrote the hint is located within the maintenance portal of Open-Xchange. The portal is an OX5-application itself. 
You get access only with a product key and a password. 

If you have access just move to the "knowledge" area, there to the folder "miscellaneous"   and then to the entry "Accessing iCal files through the WebDAV interface". 

Below you find the text of this article (I hope there are no major copyright issues): 

*********Quotation from OX 5 maintenance portal *******************

Accessing iCal files through the WebDAV interface 

-------- 
You would like to access the iCal informations for appointments for 
use within external iCal clients like, e.g. Sunbird. 
 
Solution: 
--------- 
You can access those informations, using the WebDAV interface of the 
Open-Xchange Server 5. Use the following URL to access the data 
 
http://F.Q.D.N/servlet/webdav.ical 
 
If you would like to delete appointments through the WebDAV interface, 
too, you have to append "?enabledelete=yes" to the above URL. 

******************End of quotation from OX maintenance portal ********************

Other sources and references: 
------------------------------------------
If  you google with "openexchange enabledelete" you will find some OX forum contributions of other OX users who had positive experiences with the "?enabledelete=yes" option. 
Comment 9 Simon Paquet [:sipaq] 2007-10-01 14:28:46 PDT
Could someone please explain to me, why the 'relnote' keyword was set on this bug? What is so release-note-worthy here?
Comment 10 Martin Schröder [:mschroeder] 2007-10-02 01:09:15 PDT
Simon, see comment#5.
Comment 11 Simon Paquet [:sipaq] 2007-10-04 14:21:53 PDT
Added to the release notes. Marking WONTFIX per comment 4 and comment 6.

Note You need to log in before you can comment on or make changes to this bug.